ServerEvents.recipes(GregTechApocalypse => {

  GregTechApocalypse.remove({ id: 'constructionwand:core_angel' })
  GregTechApocalypse.shaped('constructionwand:core_angel', [' AC', 'ABA', 'CA '], {
    A: '#forge:glass_panes',
    B: 'ae2:quantum_entangled_singularity',
    C: 'minecraft:iron_ingot'
  })
  GregTechApocalypse.remove({ id: 'constructionwand:core_destruction' })
  GregTechApocalypse.shaped('constructionwand:core_destruction', [' AC', 'ABA', 'CA '], {
    A: '#forge:glass_panes',
    B: 'ae2:quantum_entangled_singularity',
    C: 'minecraft:diamond_pickaxe'
  })
  GregTechApocalypse.remove({ id: 'constructionwand:infinity_wand' })
  GregTechApocalypse.shaped('constructionwand:infinity_wand', ['  A', ' B ', 'B  '], {
    A: 'gtceu:quantum_star',
    B: 'immersiveengineering:graphite_electrode'
  })
  GregTechApocalypse.remove({ id: 'constructionwand:diamond_wand' })
  GregTechApocalypse.shaped('constructionwand:diamond_wand', ['  A', ' B ', 'B  '], {
    A: 'gtceu:flawless_diamond_gem',
    B: '#forge:rods/wooden'
  })
  GregTechApocalypse.remove({ id: 'constructionwand:iron_wand' })
  GregTechApocalypse.remove({ id: 'constructionwand:stone_wand' })
})